> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commenda.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get product

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://transaction-tax.api.in.commenda.io/api/v1/products/123e4567-e89b-12d3-a456-426614174000' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 Response theme={null}
  {
    "data": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "Premium Widget",
      "tax_code": "P0000000",
      "sku": "WIDGET-001",
      "description": "A premium quality widget",
      "corporation_id": "550e8400-e29b-41d4-a716-446655440000",
      "source_platform_id": "shopify-123",
      "source_platform": "SHOPIFY",
      "customs_jurisdiction_details": {
        "US": "8471.30.0100"
      },
      "created_at": 1704067200
    },
    "message": "Successfully fetched product."
  }
  ```
</ResponseExample>


## OpenAPI

````yaml GET /products
openapi: 3.0.1
info:
  title: Commenda Public APIs
  description: >-
    APIs for Commenda entity management, partner incorporation, indirect tax,
    compliance, and corporate operations.
  license:
    name: NONE
    url: NONE
  version: 1.0.0
servers:
  - url: https://api.prod.commenda.io/api/v1
    description: Commenda platform APIs, including Partner Incorporation and Commenda OS.
  - url: https://transaction-tax.api.in.commenda.io/api/v1
    description: Global Indirect Tax API.
security:
  - bearerAuth: []
paths:
  /products:
    get:
      summary: Get a product by id.
      operationId: getProduct
      parameters:
        - name: corporation_id
          in: query
          description: The unique identifier for a corporation to filter the products by.
          required: true
          schema:
            type: string
        - name: cursor
          in: query
          description: Cursor for pagination
          required: false
          schema:
            type: string
        - name: limit
          in: query
          description: Number of items to return per page
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 10
      responses:
        '200':
          description: Fetch a product response.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      products:
                        type: array
                        items:
                          $ref: '#/components/schemas/Product'
                      cursor:
                        type: string
                  message:
                    type: string
                    example: Successfully fetched products.
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Product:
      type: object
      description: A product or service provided by the seller.
      required:
        - id
        - corporation_id
      properties:
        id:
          type: string
          description: Unique identifier assigned by Commenda for this product.
          example: 2535af08-a139-4d0c-9827-1651e46dfbcf
        name:
          type: string
          description: Display name of the product.
          example: SunShield Pro UV-Blocking Sunglasses
        tax_code:
          $ref: '#/components/schemas/ProductTaxCode'
        sku:
          $ref: '#/components/schemas/ProductSKU'
        description:
          type: string
          description: Brief description of the product.
        corporation_id:
          type: string
          description: >-
            Unique identifier assigned by Commenda for the corporation
            associated with this product.
          example: b6d009b0-d174-463f-b030-94643c28e209
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          properties:
            type:
              type: string
              description: 'Specific Error type. Example: CLIENT_INVALID_REQUEST_BODY.'
              example: CLIENT_INVALID_REQUEST_BODY
            doc_url:
              type: string
              description: >-
                A link to the docs with details about this error. Example:
                https://sales-tax-docs.commenda.io/
              example: https://sales-tax-docs.commenda.io/
            title:
              type: string
              description: >-
                A short title describing the error. Example: Missing query
                parameters.
              example: Failed to validate the request body
            detail:
              type: string
              description: >-
                A json string with a description on how to fix the error.
                Example {"description":"Please pass in a valid corporation_id"}
            status:
              type: number
              description: >-
                The status code. It should be the same as the HTTP protocol
                status code. Example: 200
              example: 400
            instance:
              type: string
              description: >-
                The relative path that was hit by the user. Example:
                /api/v1/corporations/1
            Errors:
              type: array
              items:
                type: object
                properties:
                  details:
                    type: string
                    description: More details on how to solve this particular error.
                  pointer:
                    type: string
                    description: >-
                      Relative reference to missing or invalid piece of passed
                      information.
    ProductTaxCode:
      type: string
      example: TPP
      description: >-
        Code passed by the caller to determine taxability for this product.
        Default value, TPP, will be taxable in every jurisdiction. Additional
        values are available [here](/api-reference/global-indirect-tax/taxcode).
      default: TPP
    ProductSKU:
      type: string
      description: >-
        A unique stock keeping unit (SKU) identifier for the product. Must be
        unique within your corporation and contain at least one character.
      example: PT-1035
      minLength: 1
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````